"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/index.js
var index_exports = {};
__export(index_exports, {
  default: () => VitePluginDjangoFrontendKit
});
module.exports = __toCommonJS(index_exports);
var import_glob = require("glob");
var import_path = __toESM(require("path"));
async function generateRollupInput(frontendDirs, glob_pattern) {
  let rollupInput = {};
  for (let dir of frontendDirs) {
    dir = import_path.default.resolve(dir);
    for (let subDir of ["pages", "shared", "layout"]) {
      let subDirPath = import_path.default.join(dir, subDir);
      let resolved_files = await (0, import_glob.glob)(subDirPath + glob_pattern);
      for (let file of resolved_files) {
        let key = import_path.default.resolve(file).replace(dir, "").replace(/^\/|\\/g, "");
        key = key.replace(/(index)?\.(js|ts|css)$/g, "").replace(/\//g, "-");
        if (key.endsWith("-")) key = key.slice(0, -1);
        rollupInput[key] = file;
      }
    }
  }
  return rollupInput;
}
function VitePluginDjangoFrontendKit(options = {
  frontendDirs: ["./frontend"],
  glob_pattern: "/**/*.{js,ts}"
}) {
  return {
    name: "vite-plugin-django-frontend-kit",
    enforce: "pre",
    async configResolved(config) {
      config.build.rollupOptions.input = await generateRollupInput(
        options.frontendDirs,
        options.glob_pattern
      );
    }
  };
}
